<?php

/**
 * Enqueue theme scripts and styles.
 */
function polestar_child_scripts() {

	// Child theme stylesheet.
	wp_enqueue_style( 'polestar-child', get_stylesheet_directory_uri() . '/style.css' );

}
add_action( 'wp_enqueue_scripts', 'polestar_child_scripts', 8 );

function polestar_child_setup() {

	add_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );

}
add_action( 'init', 'polestar_child_setup', 0 );

if ( ! function_exists( 'polestar_woocommerce_archive_product_image' ) ) :
/**
 * Archive product images.
 */
function polestar_woocommerce_archive_product_image() { ?>
	<div class="loop-product-thumbnail">
		<?php woocommerce_template_loop_product_link_open(); ?>
		<?php woocommerce_template_loop_product_thumbnail(); ?>
		<?php woocommerce_template_loop_product_link_close(); ?>
	</div>
<?php }
endif;

/**
 * Add the quick view button in the products in loop.
 */
function polestar_child_woocommerce_buttons() {
	if ( get_theme_mod( 'quick_view', true ) && ! ( get_theme_mod( 'archive_columns' ) == 5 ) ) {
		polestar_woocommerce_quick_view_button();
	}		
}
add_action( 'woocommerce_after_shop_loop_item', 'polestar_child_woocommerce_buttons', 20 );
